<?xml version="1.0" encoding="iso-8859-2" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:output
        method="html" encoding="iso-8859-2"
        doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
        doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
    
    <xsl:template match="knihovna">
         
        <html>
            <head>
                <style type="text/css">
.knihy{
border-collapse: collapse;
text-align:center;
background-color:#FFFF99;
}
.knihy tr{
border:1px black solid;
}
.knihy td{
padding:2px 10px;
}
.zanr{
width:15em;
background-color:blue;
color:white;
}
.zanr p{
height:2.5em;
padding-top:0.5em;
background-color:black;
color:white;
text-indent:2em;
}
.ctenar{
border-collapse: collapse;
text-align:center;
color:white;
background-color:black;
}
.ctenar tr{
border:1px white solid;
}
.ctenar td{
padding:2px 10px;
}
.ctenar th{
background-color:blue;
}
h1{
color:blue;
}
.a0{
background-color:#FF9900;
color:black;
}
.b0{
background-color:#6699FF;
color:black;
}
.invalid{
background-color:red;
}
.ok{
background-color:green;
}
.magazin{
color:black;
background-color:#FFCC33;
}
.kniha{
color:black;
background-color:#7D99DB;
}
.clanek{
color:black;
background-color:#FF9999;
}
.vypuj{
border-collapse: collapse;
text-align:center;
color:white;
background-color:black;
}
.vypuj tr{
border:1px white solid;
}
.vypuj td{
text-align:left;
padding:2px 10px;
}
.vypuj th{
background-color:blue;
}
                    </style>

                <title>Knihovna</title>
                
            </head>
            <body>
                <h1> <xsl:text>Knihovna - Vladimir Riha, rihav1</xsl:text></h1>
                <div><xsl:text>Evidence knihovny. Typy poloek v knihovn (magazn,lnek,kniha) jsou v tabulce barevn odlieny. Rovn v tabulce vpjek je barevn odliena vrcen vpjka (zelen) a nevrcen (erven)</xsl:text></div>
                <h4><xsl:text>Poet knih:  </xsl:text><xsl:value-of select="count(./knihy/kniha[@knihovni_kod])"></xsl:value-of></h4>
                <h4><xsl:text>Poet ten: </xsl:text><xsl:value-of select="count(./seznam_ctenaru/ctenar[@ctenar_id])"></xsl:value-of></h4>
                <h4><xsl:text>Poet vpjek:  </xsl:text><xsl:value-of select="count(./seznam_vypujcek/vypujcka[@id_vypujcky])"></xsl:value-of></h4>
                <h2>   <xsl:text>Knihy:</xsl:text></h2>
                <xsl:apply-templates />
            </body>
        </html>
        
    </xsl:template>




    <xsl:template match="knihy">




        <table summary="Seznam knih" class="ctenar">

            <thead>
                <tr>
                    <th></th>
                    <th>Nzev</th>
                    <th>Autor</th>
                    <th>Knihovn kd</th>
                    <th>nr</th>
                    <th>Typ publikace</th>
                    <th>ISBN</th>
                    <th>Poet stran</th>
                    <th>Rok vydn</th>
                    <th>Cena</th>

                </tr>
            </thead>
            <tfoot></tfoot>
            <tbody>
                  <xsl:variable name="j">x</xsl:variable>
                <xsl:for-each select="kniha">
                      <xsl:sort select="@typ_publikace"/>

	<tr>
                <xsl:attribute name="class" ><xsl:value-of select="@typ_publikace"/></xsl:attribute>

            <td ></td>
	<td>
<xsl:value-of select="nazev"/>    
</td>
	<td>
 <xsl:if test="child::autor">
           
                    <xsl:for-each select="autor">    
                       <xsl:value-of  select="jmeno" /><xsl:text> </xsl:text> <xsl:value-of  select="prijmeni" /> <xsl:text> </xsl:text>
                    </xsl:for-each>
            
        </xsl:if>
</td>
	<td>
<xsl:value-of select="@knihovni_kod"/>
</td>
	<td>
      <xsl:variable name="zanr_i" select="do_zanru/@zanr_i" />
    
            <xsl:for-each select="//zanr">
                <xsl:variable name="zanr_id" select="@zanr_id" />
                
              <xsl:if test='$zanr_i = $zanr_id'> <xsl:value-of select="popis" /> </xsl:if> <xsl:text> </xsl:text>
              
            </xsl:for-each>
</td>
<td>
                  <xsl:value-of select="@typ_publikace" /><xsl:text> </xsl:text>
</td>
	<td>
<xsl:value-of select="isbn"/>
</td>
	<td>
<xsl:value-of select="pocet_s"/>
</td>
	<td>
<xsl:value-of select="rok_v"/>
</td>
	<td>
<xsl:value-of select="cena"/>
</td>

</tr>

</xsl:for-each>

            </tbody>
        </table>
        

    </xsl:template>
    
          
    <xsl:template match="knihovna/seznam_ctenaru">
           <h2>   <xsl:text>Seznam ten</xsl:text></h2>
        <table summary="Seznam ten" class="ctenar">
            <thead>
                <tr>
                           <th></th>
                    <th>ID tene</th>
                    <th>Jmno</th>
                    <th>Pjmen</th>
                    <th>Datum narozen</th>
                    <th>Ulice</th>
                    <th>Msto</th>
                </tr>
            </thead>
            <tfoot></tfoot>
            <tbody>
                <xsl:for-each select="./ctenar">
                    <tr>
                             <xsl:attribute name="class" >b<xsl:value-of select="position() mod 2"/></xsl:attribute>
                    <td></td>
                    <td><xsl:value-of select="@ctenar_id"/></td>
                    <td>   <xsl:value-of select="jmeno"/>
                        
                    </td>
                    <td>
                        <xsl:for-each select="prijmeni">
                            <xsl:value-of select="."/>
                        </xsl:for-each>
                    </td>
                    <td>  <xsl:value-of select="./dat_nar/den"/>.<xsl:value-of select="./dat_nar/mesic"/>.  <xsl:value-of select="./dat_nar/rok"/>   </td>
                    <td>
                        <xsl:if test="(child::adresa)">
                            
                        <xsl:value-of select="./adresa/ulice"/><xsl:text> </xsl:text>  <xsl:value-of select="./adresa/cislo_pop"/>    </xsl:if>
                    </td>
                    <td>
                        <xsl:if test="(child::adresa)">
                            <xsl:value-of select="./adresa/psc"/><xsl:text>, </xsl:text>  <xsl:value-of select="./adresa/mesto"/>
                            
                        </xsl:if>
                        
                    </td>
                </tr>
                </xsl:for-each>
            </tbody>
        </table>
        
    </xsl:template>
    
    
    <xsl:template match="knihovna/seznam_zanru">
        <div></div>
        <h2>   <xsl:text>Seznam nr</xsl:text></h2>
  <xsl:apply-templates />
    </xsl:template>
    
    <xsl:template match="knihovna/seznam_zanru/zanr">
        <div class="zanr">
            <strong><xsl:text>nr: </xsl:text><xsl:value-of select="@zanr_id" /></strong>
          <p>
            <strong><xsl:text>Popis: </xsl:text></strong><xsl:value-of select="/popis" />  <xsl:apply-templates /></p>
        </div>
    </xsl:template>
   

        
   
    
    
    
    <xsl:template match="knihovna/seznam_vypujcek">
        <h2>   <xsl:text>Seznam vpjek</xsl:text></h2>
        <table summary="Seznam vpjek" class="vypuj">
            <thead>
                <tr>
                           <th></th>
                    <th>ID vpjky</th>
                    <th>ten</th>
                    <th>Datum od</th>
                    <th>Datum do</th>
                    <th>Pjen knihy</th>
                  
                </tr>
            </thead>
            <tfoot></tfoot>
            <tbody>
                <xsl:for-each select="./vypujcka">
                <tr>
                    <xsl:if test="./datum_od">
                              <xsl:attribute name="class" >invalid</xsl:attribute>
                                <xsl:if test="./datum_do">
                              <xsl:attribute name="class" >ok</xsl:attribute>
                        </xsl:if>
                        </xsl:if>
                         
                    <td></td>
                    <td><xsl:value-of select="@id_vypujcky"/>               
                </td>
                    <td>   
                          <xsl:variable name="id_ctenare" select="@id_ctenare" />
    
            <xsl:for-each select="//ctenar">
                <xsl:variable name="c" select="@ctenar_id" />
                
              <xsl:if test='$id_ctenare = $c'> <xsl:value-of select="jmeno" /> </xsl:if> <xsl:text> </xsl:text>
                  <xsl:for-each select="prijmeni">
                         <xsl:if test='$id_ctenare = $c'><xsl:value-of select="." /> </xsl:if> <xsl:text> </xsl:text>
            </xsl:for-each>

                </xsl:for-each>
           
            
                    </td>
                                   <td>  <xsl:value-of select="./datum_od/den"/>.<xsl:value-of select="./datum_od/mesic"/>.  <xsl:value-of select="./datum_od/rok"/>   </td>
         <td>  <xsl:value-of select="./datum_do/den"/>.<xsl:value-of select="./datum_do/mesic"/>.  <xsl:value-of select="./datum_do/rok"/>   </td>
  
                    <td>
               
                <xsl:for-each select="./pujcena_kniha">
               
          <xsl:variable name="id_v" select="@kod" />
    
            <xsl:for-each select="//kniha">
                <xsl:variable name="c" select="@knihovni_kod" />
                
              <xsl:if test='$id_v = $c'> <xsl:value-of select="nazev" /> </xsl:if> <xsl:text> </xsl:text>
                      </xsl:for-each>
                
                
                
                
                
                
                </xsl:for-each>
                            
          
                        
                    </td>
                </tr>
                </xsl:for-each>
            </tbody>
        </table>
   
    
    </xsl:template>
 
    
    
    
</xsl:stylesheet>
